#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    string t, s;
    cin>>t>>s;
    int br = 0, pom = 0;
    string res="";
    for(int i = 0;i<s.length();i++) if(s.at(i)!='a') return 0;
    for(int i = 0;i<t.length();i++)
    {
        if(t.at(i)=='a')
        {
            if(pom+1<s.length())
            {
                pom++;
                res+='a';
            }
            else
            {
               br++;
                res+='*';
            }
        }
        else res+=t.at(i);
    }
    cout<<br<<"\n"<<res;

    return 0;
}